# Jaxer.Log.Appender : Object
Return to: Jaxer Framework index

Base class of all Appenders: listeners that know how to append log messages somewhere, e.g. to a file or a database.

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Constructors

Constructor | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
Jaxer.Log.Appender Constructor(String name, Jaxer.Log.Level level) : Jaxer.Log.Appender This is the base class of all Appenders: listeners that know how to append log messages somewhere, e.g. to a file or a database. (Advanced) | Show Details | 1.0 | no

### Jaxer.Log.Appender(String name, Jaxer.Log.Level level) : Jaxer.Log.Appender

This is the base class of all Appenders: listeners that know how to append log messages somewhere, e.g. to a file or a database.
(Advanced)

Parameters

String | name | The name to use to identify this appender
Jaxer.Log.Level | level | The level to start this appender at -- messages below this will not be appended

Returns

Jaxer.Log.Appender | Returns an instance of Appender.

Visibility
  advanced

## Functions

Method | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
getLevel() : Jaxer.Log.Level The level to which this appender is set. Messages below this level will not be logged. (Advanced) | Show Details | 1.0 | no

Returns

Jaxer.Log.Level | The current level

setLevel(Jaxer.Log.Level level) : void Sets the level below which this appender will not log messages. (Advanced) | Show Details | 1.0 | no

Parameters

Jaxer.Log.Level | level | The minimum loggable level. Should be one of Log.TRACE, Log.DEBUG, Log.INFO, Log.WARN, Log.ERROR, Log.FATAL.

toString() : String Identifies this appender instance by name (Advanced) | Show Details | 1.0 | no

Returns

String | The appender's name

aptana_docs